aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJingLu5 <lvjing5@huawei.com>2016-08-16 20:13:17 +0800
committerJingLu5 <lvjing5@huawei.com>2016-08-17 08:34:05 +0800
commitc14c8535beabe3599d541cb2c17f731e42d029f8 (patch)
treeedf7af5348cc566583370bb318e07383b547b703
parent8361073662d580803f1da030b9f9bd4203bbaecb (diff)
BugFix: fix storperf deployment location error
Change-Id: Ib8329f6feeadacb312171782730ef2807eda5455 Signed-off-by: JingLu5 <lvjing5@huawei.com>
-rw-r--r--plugin/CI/storperf.yaml2
-rwxr-xr-xtests/ci/yardstick-verify16
-rw-r--r--tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml2
-rw-r--r--tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml2
4 files changed, 18 insertions, 4 deletions
diff --git a/plugin/CI/storperf.yaml b/plugin/CI/storperf.yaml
index 4407ddf8c..65ebe51e1 100644
--- a/plugin/CI/storperf.yaml
+++ b/plugin/CI/storperf.yaml
@@ -8,6 +8,6 @@ plugins:
name: storperf
deployment:
- ip: local
+ ip: 192.168.200.1
user: root
password: root
diff --git a/tests/ci/yardstick-verify b/tests/ci/yardstick-verify
index bdb91003d..7345e0e5b 100755
--- a/tests/ci/yardstick-verify
+++ b/tests/ci/yardstick-verify
@@ -133,8 +133,21 @@ install_storperf()
exit 1
fi
+ fi
+}
+
+remove_storperf()
+{
+ # remove Storper from huawei-pod1
+ if [ "$NODE_NAME" == "huawei-pod1" ]; then
echo
- echo "========== Installed storperf container =========="
+ echo "========== Removing storperf =========="
+
+ if ! yardstick -d plugin remove plugin/CI/storperf.yaml; then
+ echo "Remove storperf plugin FAILED";
+ exit 1
+ fi
+
fi
}
@@ -422,6 +435,7 @@ main()
install_storperf
run_test
+ remove_storperf
}
main
diff --git a/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml b/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml
index d506ccc1e..6dda2d436 100644
--- a/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml
+++ b/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml
@@ -4,7 +4,7 @@
schema: "yardstick:task:0.1"
{% set public_network = public_network or "ext-net" %}
-{% set StorPerf_ip = StorPerf_ip or "192.168.200.2" %}
+{% set StorPerf_ip = StorPerf_ip or "192.168.200.1" %}
scenarios:
-
type: StorPerf
diff --git a/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml b/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
index 8bf0c6578..ebe7a0513 100644
--- a/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
+++ b/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
@@ -102,7 +102,7 @@ test_cases:
pod: huawei-pod1
task_args:
huawei-pod1: '{"public_network": "ext-net",
- "StorPerf_ip": "192.168.200.2"}'
+ "StorPerf_ip": "192.168.200.1"}'
-
file_name: opnfv_yardstick_tc075.yaml
constraint: